### Class

# Soup ContentSniffer

#### Description [src]

    final class Soup.ContentSniffer : GObject.Object
      implements Soup.SessionFeature {
      /* No available fields */
    }

Sniffs the mime type of messages.

A `SoupContentSniffer` tries to detect the actual content type of the files that are being downloaded by looking at some of the data before the `SoupMessage` emits its `SoupMessage::got-headers` signal. `SoupContentSniffer` implements `SoupSessionFeature`, so you can add content sniffing to a session with `soup_session_add_feature()` or `soup_session_add_feature_by_type()`.

#### Ancestors

- GObject

#### Implements

- SoupSessionFeature

#### Constructors

###### soup_content_sniffer_new

Creates a new `SoupContentSniffer`.

#### Instance methods

###### soup_content_sniffer_sniff

Sniffs `buffer` to determine its Content-Type.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SoupContentSnifferClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.